curl --request POST \
--url https://api.revong.com/api/v1/schema/{schemaId}/fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"required": true,
"restricted": true,
"active": true,
"category": "<string>",
"desc": "<string>",
"lazyId": "<string>",
"lazyType": "<string>",
"lazy": true,
"prefix": "<string>",
"suffix": "<string>",
"rowGroup": true,
"editable": true,
"hide": true,
"filter": true,
"sortable": true,
"order": 123,
"groups": [
"<string>"
],
"users": [
"<string>"
],
"pinned": "<string>",
"pivot": true,
"fontColor": "<string>",
"backgroundColor": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>",
"order": 123
}
]
}
'import requests
url = "https://api.revong.com/api/v1/schema/{schemaId}/fields"
payload = {
"name": "<string>",
"required": True,
"restricted": True,
"active": True,
"category": "<string>",
"desc": "<string>",
"lazyId": "<string>",
"lazyType": "<string>",
"lazy": True,
"prefix": "<string>",
"suffix": "<string>",
"rowGroup": True,
"editable": True,
"hide": True,
"filter": True,
"sortable": True,
"order": 123,
"groups": ["<string>"],
"users": ["<string>"],
"pinned": "<string>",
"pivot": True,
"fontColor": "<string>",
"backgroundColor": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>",
"order": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
required: true,
restricted: true,
active: true,
category: '<string>',
desc: '<string>',
lazyId: '<string>',
lazyType: '<string>',
lazy: true,
prefix: '<string>',
suffix: '<string>',
rowGroup: true,
editable: true,
hide: true,
filter: true,
sortable: true,
order: 123,
groups: ['<string>'],
users: ['<string>'],
pinned: '<string>',
pivot: true,
fontColor: '<string>',
backgroundColor: '<string>',
options: [{name: '<string>', value: '<string>', order: 123}]
})
};
fetch('https://api.revong.com/api/v1/schema/{schemaId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Add field.
ROLES: SCHEMA_WRITE,SCHEMA_ADMIN USER: true SERVICE ACCOUNT: true
Authorizations
Bearer token with Platform JWT token or API Key.
Path Parameters
Body
Name.
You need to specify field type [Text,Integer,Numeric,Quantity,DateTime,Boolean,Single,Multi,URL,Phone,Mail,Groups,Users,Created Time,Created By,Last Update Time,Last Update By,Resources,Key,ResourcesItems,Percent,Money,Version].
Text, Integer, Numeric, Quantity, DateTime, Boolean, Single, Multi, URL, Phone, Mail, Groups, Users, Created Time, Created By, Last Update Time, Last Update By, Resources, Key, ResourcesItems, Percent, Money, Version You need to specific if field will be required to fill.
Provide if access should be restricted.
Provide if should be active/visible to users.
Category.
Description.
lazyId.
Description.
Specify if lazy loading is enabled (e.g. list, dropdown options and more).
Prefix of value, for example of Money you can specify currency e.g. $ 123,40
Suffix of value, for example of Money you can specify currency e.g. 123,40 PLN
Select if row group is enabled.
Select if should be editable (e.g. row change).
Select if should be hidden by default.
Select if should be filtered.
Select if should be sortable.
You can specify order of an field.
Provide which groups should have access to it, once restricted is true.
Provide which users should have access to it, once restricted is true.
Mark if should be pinned (left or right).
Specify if Pivot is enabled by default.
Global font color of the field value.
Global background color of the field.
Provide value options (1-300).
Show child attributes
Show child attributes
Response
OK.

